package org.richfaces.component;

import javax.faces.component.UIComponent;
import javax.faces.event.FacesListener;

/**
 * 
 * @author glory
 *
 */

public class DialogCloseEvent extends DialogEvent {
	private static final long serialVersionUID = 1L;
	
	public DialogCloseEvent(UIComponent component) {
		super(component);
	}

//	@Override
	public boolean isAppropriateListener(FacesListener listener) {
		return (listener instanceof DialogCloseListener);
	}

//	@Override
	public void processListener(FacesListener listener) {
		((DialogCloseListener)listener).processDialogClose(this);
	}
	
}
